Try ERPNext Buy Support Partners Foundation

V11 Shopify Error When Enabling - will not enable

Setting up for Shopify Integration in V11 by following the docs. When enable and click save, the site will just hang and nothing happens. I would reload and try again then i get this error. How do i solve this?

Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connection.py", line 171, in _new_conn
        (self._dns_host, self.port), self.timeout, **extra_kw)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/util/connection.py", line 56, in create_connection
        for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
      File "/usr/lib/python3.6/socket.py", line 745, in getaddrinfo
        for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
    socket.gaierror: [Errno -2] Name or service not known

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
        chunked=chunked)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 343, in _make_request
        self._validate_conn(conn)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 849, in _validate_conn
        conn.connect()
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connection.py", line 314, in connect
        conn = self._new_conn()
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connection.py", line 180, in _new_conn
        self, "Failed to establish a new connection: %s" % e)
    urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7f995d88ac88>: Failed to establish a new connection: [Errno -2] Name or service not known

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/adapters.py", line 449, in send
        timeout=timeout
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 667, in urlopen
        **response_kw)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 667, in urlopen
        **response_kw)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 667, in urlopen
        **response_kw)
      [Previous line repeated 2 more times]
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 638, in urlopen
        _stacktrace=sys.exc_info()[2])
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/util/retry.py", line 398, in increment
        raise MaxRetryError(_pool, url, error or ResponseError(cause))
    urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='https', port=443): Max retries exceeded with url: ------------------------------------/admin/webhooks.json (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f995d88ac88>: Failed to establish a new connection: [Errno -2] Name or service not known',))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/apps/erpnext/erpnext/erpnext_integrations/doctype/shopify_settings/shopify_settings.py", line 57, in register_webhooks
        }), headers=get_header(self))
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/sessions.py", line 581, in post
        return self.request('POST', url, data=data, json=json, **kwargs)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/sessions.py", line 533, in request
        resp = self.send(prep, **send_kwargs)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/sessions.py", line 646, in send
        r = adapter.send(request, **kwargs)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/adapters.py", line 516, in send
        raise ConnectionError(e, request=request)
    requests.exceptions.ConnectionError: HTTPSConnectionPool(host='https', port=443): Max retries exceeded with url: //----------------------------------------------------------------/admin/webhooks.json (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f995d88ac88>: Failed to establish a new connection: [Errno -2] Name or service not known',))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/desk/form/save.py", line 22, in savedocs
        doc.save()
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 260, in save
        return self._save(*args, **kwargs)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 296, in _save
        self.run_before_save_methods()
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 876, in run_before_save_methods
        self.run_method("validate")
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 772, in run_method
        out = Document.hook(fn)(self, *args, **kwargs)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 1048, in composer
        return composed(self, method, *args, **kwargs)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 1031, in runner
        add_to_return_value(self, fn(self, *args, **kwargs))
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 766, in <lambda>
        fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
      File "/home/skserpnext/frappe-bench/apps/erpnext/erpnext/erpnext_integrations/doctype/shopify_settings/shopify_settings.py", line 20, in validate
        self.register_webhooks()
      File "/home/skserpnext/frappe-bench/apps/erpnext/erpnext/erpnext_integrations/doctype/shopify_settings/shopify_settings.py", line 61, in register_webhooks
        make_shopify_log(status="Warning", message=e.message, exception=False)
    AttributeError: 'ConnectionError' object has no attribute 'message'

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connection.py", line 171, in _new_conn
        (self._dns_host, self.port), self.timeout, **extra_kw)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/util/connection.py", line 56, in create_connection
        for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
      File "/usr/lib/python3.6/socket.py", line 745, in getaddrinfo
        for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
    socket.gaierror: [Errno -2] Name or service not known

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
        chunked=chunked)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 343, in _make_request
        self._validate_conn(conn)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 849, in _validate_conn
        conn.connect()
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connection.py", line 314, in connect
        conn = self._new_conn()
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connection.py", line 180, in _new_conn
        self, "Failed to establish a new connection: %s" % e)
    urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7f995d88ac88>: Failed to establish a new connection: [Errno -2] Name or service not known

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/adapters.py", line 449, in send
        timeout=timeout
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 667, in urlopen
        **response_kw)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 667, in urlopen
        **response_kw)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 667, in urlopen
        **response_kw)
      [Previous line repeated 2 more times]
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/connectionpool.py", line 638, in urlopen
        _stacktrace=sys.exc_info()[2])
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/urllib3/util/retry.py", line 398, in increment
        raise MaxRetryError(_pool, url, error or ResponseError(cause))
    urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='https', port=443): Max retries exceeded with url: //---------------------------------------------------------------------------/admin/webhooks.json (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f995d88ac88>: Failed to establish a new connection: [Errno -2] Name or service not known',))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/apps/erpnext/erpnext/erpnext_integrations/doctype/shopify_settings/shopify_settings.py", line 57, in register_webhooks
        }), headers=get_header(self))
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/sessions.py", line 581, in post
        return self.request('POST', url, data=data, json=json, **kwargs)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/sessions.py", line 533, in request
        resp = self.send(prep, **send_kwargs)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/sessions.py", line 646, in send
        r = adapter.send(request, **kwargs)
      File "/home/skserpnext/frappe-bench/env/lib/python3.6/site-packages/requests/adapters.py", line 516, in send
        raise ConnectionError(e, request=request)
    requests.exceptions.ConnectionError: HTTPSConnectionPool(host='https', port=443): Max retries exceeded with url: //-------------------------------------------------------------------------------------/admin/webhooks.json (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f995d88ac88>: Failed to establish a new connection: [Errno -2] Name or service not known',))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/app.py", line 61, in application
        response = frappe.handler.handle()
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/handler.py", line 21, in handle
        data = execute_cmd(cmd)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/handler.py", line 56, in execute_cmd
        return frappe.call(method, **frappe.form_dict)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/__init__.py", line 1036, in call
        return fn(*args, **newargs)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/desk/form/save.py", line 22, in savedocs
        doc.save()
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 260, in save
        return self._save(*args, **kwargs)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 296, in _save
        self.run_before_save_methods()
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 876, in run_before_save_methods
        self.run_method("validate")
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 772, in run_method
        out = Document.hook(fn)(self, *args, **kwargs)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 1048, in composer
        return composed(self, method, *args, **kwargs)
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 1031, in runner
        add_to_return_value(self, fn(self, *args, **kwargs))
      File "/home/skserpnext/frappe-bench/apps/frappe/frappe/model/document.py", line 766, in <lambda>
        fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
      File "/home/skserpnext/frappe-bench/apps/erpnext/erpnext/erpnext_integrations/doctype/shopify_settings/shopify_settings.py", line 20, in validate
        self.register_webhooks()
      File "/home/skserpnext/frappe-bench/apps/erpnext/erpnext/erpnext_integrations/doctype/shopify_settings/shopify_settings.py", line 61, in register_webhooks
        make_shopify_log(status="Warning", message=e.message, exception=False)
    AttributeError: 'ConnectionError' object has no attribute 'message'